> For the complete documentation index, see [llms.txt](https://docs.roboflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roboflow.com/roboflow/roboflow-ko/deploy/serverless/video-inference/use-a-fine-tuned-model.md).

# Fine-Tuned Model 사용

Roboflow에 학습하거나 업로드한 모델을 video inference API와 함께 사용할 수 있습니다.

### Video Inference API로 Fine-Tuned Model 사용하기

먼저 Roboflow Python 패키지를 설치하세요:

```bash
pip install roboflow
```

다음으로 새 Python 파일을 만들고 다음 코드를 추가하세요:

```python
from roboflow import Roboflow

rf = Roboflow(api_key="API_KEY")
project = rf.workspace().project("PROJECT_NAME")
model = project.version(MODEL_ID).models()[0]

job_id, signed_url, expire_time = model.predict_video(
    "football-video.mp4",
    fps=5,
    prediction_type="batch-video",
)

results = model.poll_until_video_results(job_id)

print(results)
```

위에서 다음을 바꾸세요:

* `API_KEY`:를 Roboflow API 키로 바꾸세요
* `PROJECT_NAME`:를 Roboflow 프로젝트 ID로 바꾸세요.
* `MODEL_ID`:를 Roboflow 모델 ID로 바꾸세요.

*중요 참고: 현재 Roboflow의 video inference는 2023년 6월 30일 이후 Roboflow 내에서 학습된 모델만 지원합니다. 더 오래된 모델도 포함하기 위해 작업 중입니다.*

[API 키를 가져오는 방법 알아보기](https://docs.roboflow.com/api-reference/authentication#retrieve-an-api-key).

[model ID를 가져오는 방법 알아보기](https://docs.roboflow.com/api-reference/workspace-and-project-ids).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roboflow.com/roboflow/roboflow-ko/deploy/serverless/video-inference/use-a-fine-tuned-model.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
